package it.micegroup.gestioneferie.configurazionepf.criteria;

import java.io.Serializable;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DpercAutPianFeriePkCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 887071405L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdPercAutPianFeriePk;

	private StringFilter flagEliminato;

	private StringFilter utenteUltimaModifica;

	private LocalDateFilter dataUltimaModifica;

	// FILTER FATHER

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdPercAutPianFeriePk
	 */
	public LongFilter getSequIdPercAutPianFeriePk() {
		return this.sequIdPercAutPianFeriePk;
	}

	/**
	 * @param sequIdPercAutPianFeriePk to set
	 */
	public void setSequIdPercAutPianFeriePk(LongFilter sequIdPercAutPianFeriePk) {
		this.sequIdPercAutPianFeriePk = sequIdPercAutPianFeriePk;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	// GETTER/SETTER FATHER

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
